Page 1

Eagles to travel to Idaho State for Big Sky Tournament Sports, p. 11

Eastern Washington University

SNAP YOUR DIGITAL COPY:

March 7, 201 2

By Al Stover sports editor

easterner.sports@gmail.com

This week DON’T MISS: EWU welcomes new dean of College of The EWU Women's Business and Public Commission will host Administration an update on cam-

pusMartine safetyDuchatand sexelet, Ph.D., will begin ual assault and hear as dean ofof CPBA thethe concerns womand executivefaculty dean of en students, EWU Spokane the and staff at an on open Riverpoint campus on forum at noon on Feb. June 15 in 1. PUB 261. Free Elizabeth pizza will beTipton served (Murff), Ph.D., will during the forum. serve as interim dean from March 31, when The Healthcare current interim Dean Management Niel Zimmerman Conference, 2012 retires, until2012 Junefrom 1. is Feb. 24, 7:30 a.m. to 4 p.m. at the Riverpoint CamDON’T MISS: pus, Phase 1 building. Fegistration is due by Antony and Contact Feb. 18, 2012. Cleopatra will perRose Morgan atbe rmorformed by the Theatre gan@ewu.edu or 509Program 828-1218.on March 9, 10, 16 and 17 at 7:30 p.m., IndexMarch 11 at 2 p.m. and March 15 at 5 p.m. NEWS.................2 Newspapers fly off Filing for the the racks butASEWU before student elections they've been read. Nikwill take placeexplains, on April ki Livingston 6-13. Primary election Arévalo comments. is April 24 and the general election is May 8. Tribute to Sally For more Eden, p.3information, check http://www.ewu. edu/asewu OPINION.............4 Greek life rebuttal columns Interested in by internships? Alex Morgan andCup of Cool Water in Molly Kalamarides downtown show there'sSpokane more tois having anthan openpartying. house sororities on March 22 and 24 where Black students history can is the learn about opporhistory of America, tunities to work with by Opinion Editor Derhomeless ek Brown,youth. p.5 Follow these then QR codes Read first, refor exclusive videos cycle. A column by of the drag show (top) Editor-in-Chief Amy and theon King Meyer p.6.of Cheney 2 cage fight (bottom). http://bit.ly/z2yZtJ EAGLE LIFE........7 Nikki Livingston explores mental health stigmas in her article, Mental health awareness, an important step to breaking stigmas on campus. Ever wondered what an http://bit.ly/wLfd01 internship with Disney would be like? Check Internships create magic, p. 8. POLICE BEAT......9 A coupon clipper or a ransom note? Someone delivers an anonymous

EasternerOnline.com

Lights, camera, drag-tion More than $3,600 raised for AIDS research

Use your smartphone’s QR code reader to download your PDF copy of The Easterner.

Volume 63, Issue 19

Eastern’s PUB MPR was transformed into a fashion show with rainbow icicle lights hanging down the sides of the stages and pop music blasting from the speakers as EWU hosted their annual drag show March 1. Hundreds of students screamed while waving dollar bills at drag queens from Le Gurlz, a troupe of female impersonators, which included Shangela, a contestant on season two of “RuPaul’s Drag Race,” and Raja, season three winner of "RuPaul’s Drag Race." They performed lip-syncing and choreography to a variety of music artists such as Cher, Nicki Minaj and Kesha. While the drag show allowed the audience to dance, sing and throw cat calls at the performers, it was also a charity event with the proceeds going to the V Foundation. A half hour into the show, Shae Perry, one of the emcees, announced the show had already raised $2,000, which was more than last year’s $1,500. Overall, the March 1 show raised over $3,600. Audience members also found themselves participating in the show. In her first routine, Beyonce Blaque brought Andrew Baldwin onto the stage after ripping off his shirt. She then sat him on a chair, poured water onto his head and performed a lap dance for him. For Baldwin, who has been to the drag show for the last three years,

the stage experience was crazy but memorable. “This [drag show has been] the best one because I was actually a part of it,” Baldwin said. In addition to the professional drag queens, Eastern students also participated in the show. Members of Delta Chi dressed up and performed on stage. Tim McDowell has preformed in previous drag shows. According to McDowell, the drag show was set up by Lauren Bair, a Delta Chi alumnus. Delta Chi members were bought at an auction by sororities who would then dress them up. They were also helped by professional drag queens who would suggest songs for the men to perform. Ellen Stuart was one of the sorority sisters who put makeup on the Delta Chi members. “I can barely put my own makeup on,” Stuart said. “It was difficult to put it on a guy.” The Delta Chi performers were introduced to the crowd by Nova Kaine, the host of Le Gurlz. “I was told that Delta Chi was ‘the fraternity’ because that’s where all the really hot guys go and the really rich ones go,” Kaine said. “All I know is that after sharing the dressing room with these boys earlier, all I got were the rich ones.” Sam Segoviano, Eric High and Kelly Beck were first-time drag performers. They decided to improvise rather than rehearse and had fun going through the crowd and dancing for charity. Shangela addressed the crowd after her number. She thanked the audience for the donations and support. “I went to college, I know the pain of an 8 a.m. class,” Shangela said. “I know what it’s like to live on a ‘Pizzafive-days-a-week budget.’”

Photo by Al Stover Andrew Baldwin is cooled off by Beyonce Blaque. Baldwin was one of several students who interacted with the drag performers at the event.

Knight’s tennis career thrives despite mere flesh wounds By Brad Wall contributing writer

easterner.sports@gmail.com

Photo by Casey Picha Thanks to repeat injuries on the same court, junior Kelsey Knight's coaches have forbidden her from playing at Gonzaga. But that hasn't stopped her from winning an All Big Sky Honorable Mention.

EWU women’s tennis player Kelsey Knight cringes at the thought of playing at Gonzaga. In two of Knight’s first three seasons at Eastern she has encountered season-ending knee injuries at the Bulldog’s tennis court. The similarities between the two injuries held a strange irony. Each injury put an abrubt end to the start of two strong seasons for Knight. She was 2-1 in singles and 3-1 in doubles her freshman year and had also won her first two matches of the 2010-2011 season prior to going down. Both injuries were ACL tears, the first be-

ing on her left knee in her freshman year and the second being her right knee. However, the irony did not stop there. "It was weird because it was on the same court against the same player and basically the same date two years separated," Knight said. When the first injury happened, Knight had no idea what happened and tried to play on it, but that only exacerbated it. The second time, Knight knew right away that it was torn. The fact that the injuries took place on the same court enforced a strict rule for Knight from her teammates and coaches. "Now I’m forbidden from playing at Gonzaga’s courts ever again," Knight said. Ryann Warner, who has

played with Knight her entire career, felt that the team took a big hit each time Knight went down with injuries. "It was definitely hard because she’s one of our top players. Her work ethic is good on the court and she brings out that competitive spirit," Warner said. "When we had that lacking, we definitely had some struggles last year without her." Knight returned from the first ACL injury strong for the Eagles in the 20092010 season as she had the entire fall season to recover. She went 11-10 in singles and 13-8 in doubles, ultimately earning herself All Big Sky Honorable Mention honors. Knight-page 10

Student elections open after spring break Primary elections held on April 24 By Frank McNeilly staff writer

frank.mcneilly@gmail.com

April 24 is the day for students to vote for the students campaigning for council representative and executive officer positions in the ASEWU. Kristin Milton, director of elections, helps students campaign for the positions they are running for. “There are 12 [positions],” Milton said. “There are nine council positions and then the three executives: president, vice president and finance vice president.”

ASEWU President Oscar Ocaña is both an international student and a non-traditional student who faced challenges last year campaigning for the presidency. “[The challenge was] breaking the stereotypical idea that being in this Ocaña position is about popularity,” Ocaña said. “It was about helping the students to understand that they need to be voting because something different will happen where … it was about telling them [about] real issues that are happening [on] campus.” According to Ocaña, one thing that made students notice him campaigning for president was a

funny picture of him dressed in a sumo wrestling suit with text on the picture saying "He’s not handsome, he’s not popular, he has time for student government." According to Milton, Ocaña was successful because he campaigned toward non-traditional students, spoke to freshmen in the residence halls, went door-to-door and campaigned to the students who only attended classes at Riverpoint campus. “I think … the reason people vote is they know someone personally,” Milton said. Students who want to get to know the candidates will have the opportunity to meet them face-toface. “I’m in the process of planning [an] open [and] fun candidate

Any undergraduate student who is enrolled in six credits and has a cumulative GPA of 2.5 or higher is eligible to run for a council position. An additional requirement for the top three executive positions requires candidates to have attended at least three quarters as a full time student at Eastern.

bonding event … probably in the [PUB MPR],” Milton said. Elections-page 3


NEWS Riverpoint stamps out smoking page

2

news

• march 7, 2012

Washington State University Student Senate rules and the university cabinet agrees By Kristie Hsin senior reporter

khhsin@gmail.com

Photo Illustration by Amy Meyer After student surveys and cooperation between EWU and WSU, Riverpoint Campus will officially be tobacco-free on May 1, making it the first four-year public university in Washington to ban tobacco.

The Easterner is now hiring for editor-in-chief Job Requirements: EWU student with junior, senior or graduatelevel standing in fall of 2012-2013. Successful completion of JRNM 332 News Writing and successful completion or registration for Fall 2012 in JRNM 351 Media Law. Equivalent coursework and experience also may be considered. At least one year’s experience reporting and/or editing for a college or professional newspaper. Strong journalism skills, including news reporting, writing, editing and page design. Leadership skills. Knowledge and experience with professional design software Adobe InDesign. Journalism major highly recommended. Include cover letter, résumé, clips of published work in journalism, and three references. Applications are due Monday, April 9, to Easterner adviser Jamie Neely, RRL 137, Cheney, WA 992004 or jneely@ewu.edu.

Enjoy those last few butts because Riverpoint Campus will officially be tobacco free beginning May 1. The implementation of this policy will only apply to the Riverpoint campus. Because WSU is the primary occupant of the Riverpoint campus, the university has the authority to change policies that affect everyone there. “I don’t have anything against people who smoke, but I’m always walking through their smoke clouds and then smelling like crap because they’re smoking everywhere,” said junior Aaron Gustenberg. “It’s about time we have a policy like this.” This decision was initiated by the Washington State University Student Senate last spring. The process began with a circulated survey given out to students in order to test whether or not they liked the idea. The surveys included questions on whether or not the students were in support of the policy and also a chance for them to comment on the possible change. Of the 189 students who responded to the survey, 87.8 percent supported implementing a tobacco-free campus, according to ASWSU Vice President Trevor McLay in an email. Senators involved in the initiative drafted a resolution outlining the reasons for the proposed changes based on the findings of this data. The Tobacco Free Campus Task force, composed of students, faculty and staff, drafted the policy. The policy draft was presented to the administration at EWU’s main campus in Cheney. Since EWU is colocated with WSU Spokane, the Task Force was inclusive of EWU members. “WSU Spokane received a

“I don’t have anything against people who smoke, but I’m always walking through their smoke clouds and then smelling like crap because they’re smoking everywhere. ... It’s about time we have a policy like this.” Aaron Gustenberg strong message of support and cooperation from the EWU administration. Cooperation with all parties was a focal point of emphasis when considering how best to move forward with these changes,” said McLay. “One of our main concerns in this process has been ensuring fair and complete communications to all students, faculty, and staff about the change taking place at Riverpoint.” Due to Washington state laws, the current rules and regulations of smoking on campus within 25 feet of any building entrance is prohibited. According to McLay, this new policy will surpass those laws, prohibiting smoking on all grounds owned by the university. For clarity, tobacco products include cigarettes, cigars, hookah, pipes, all forms of smokeless tobacco, clove cigarettes and electronic cigarettes, according to the policy online. EWU’s tobacco policy is the same as Washington state’s smoking policy—no smoking is allowed within 25 feet of a building entrance. “I think this is stupid. I’m an avid smoker, I work two jobs and I’m a full time student. Especially when it’s cold outside, I’m not going to walk 25 feet away from the building I have class in for my smoke break,” said senior Melissa Barker. “I think as long as we’re not trashing the place, we should be able

to smoke wherever we want.” Barker is a WSU student and has most of her classes at Riverpoint. Once the resolution was passed, the information was then presented to Chancellor of WSU Spokane Brian Pitcher, who then presented the information to the university cabinet. The cabinet voted to approve the policy. “As representatives of our student body, we were concerned with the impact smoking on campus had on the student experience. Primary among our concerns were second-hand smoke and environmental trash,” said McLay. “We also noted the increasing number of healthcare facilities, where many students will go to work after graduation that are moving to tobacco-free policies.” According to McLay, “environmental trash” includes cigarette butts and ashtrays. “We felt it to be important to foster a student culture of healthy living and positive health practices. As students of a variety of healthcare professions, we felt this campus could lead the way in making this positive and beneficial change,” McLay said. According to McLay, this change will make WSU Spokane the first four-year public institution to be a tobaccofree campus in Washington. “We are very proud of this fact,” McLay said.

Career Day comes to Leap Day

Spokane-area students visit with potential employers at convention By Desireé Hood staff writer

d.hood@gmail.com

More than 100 employers from all over Washington state gathered in the Spokane Convention Center for the “Partnership in Employment Career Fair ‘12” on Leap Day to show students from Eastern, Gonzaga, Whitworth and WSU Spokane that there are jobs to be had in many different fields of study. The career centers from the four schools have been working together for 18 years to put on this annual career fair. It started as a small career fair in a local hotel and has grown into the large fair held at the Convention Center.

“I think it is really cool to work collaboratively with them for that long,” Virginia Hinch, director of career services at Eastern, said. The employers at the career fair came from all over the state to look for possible candidates in many different areas. A large number of credit unions and banks made an appearance, as did a large number of computer and engineering companies. However, with over 100 different booths at the fair, students had a large variety of people to network with. “There is a lot of opportunities for every type of student. It’s not just one kind of degree here,” said Shane Horlacher, a senior at Eastern. “There are busi-

nesses from all over looking for all sorts of degrees. Anyone can benefit from networking with these companies.” Horlacher said he went to the career fair to see what opportunities are in this area as he will be graduating in June and hitting the pavement looking for a job. Campus Point, which helps students find paid internships and part-time and full-time positions at small and medium sized companies, came from the Seattle area. They are a free online resource that helps place students up to six years past graduation from a Washington state college. Emily Bomar, campus programs manager for all campuses statewide at Campus Point, works with career centers at all the Washington state colleges and the University of Idaho. Business, IT and engineering are the main fields Campus Point hires for, but they offer jobs to all majors that graduate. “This is a big way in how we let students and alumni know that we exist as a resource for them to use,” Bomar said. “We hire up to 1,000 grads… [and] the majority of them find out about us at career fairs. I would say about 40 percent. It’s a great opportunity.” For those looking for summer employment, the Northern Quest Casino was hiring for their summer concert series and the Spokane Indians Baseball Team was hiring for a few

different seasonal positions. “Have a good résumé…. and have ways to distinguish yourself from everyone else,” Josh Roys, vice president of ticket sales at the Spokane Indians, said. Stacey Morgan Foster, vice president of student affairs at EWU, thinks the staff and students that attended the event are “awesome” and represented the school with pride. “[The employers] get a sense of the kind of institution we are and the kind of students we produce,” Morgan Foster said. Senior Alex Melnikov went to the career fair to find an internship for the upcoming summer. He found it easy to network with the different companies. “I have found if you just introduce yourself to anyone here…it just opens up a conversation,” he said. Students came to the career fair for different reasons, but most of them left with an idea of what businesses and fields of study are hiring in the state. Morgan Foster suggests not just focusing on the perfect job, but be open minded to trying new things. “Students have to really be prepared and they have to have a professional presentation not only of their person but of their materials,” said Morgan Foster. “Be open to doing something that you might not have thought is really what you are looking for. There is no way to know what is out there and what path something might take you on.”


page

3

news

• march 7, 2012

NEWS

Peace Corp celebrates birthday with EWU session in the PUB By Kristie Hsin senior reporter

khhsin@gmail.com

In celebration of the Peace Corps’ 51 years of committed service, the Peace Corps held an information session Tuesday Feb. 28 in the PUB. Erin Erickson, the regional representative for EWU, led the event showing a video that foretold the stories of different volunteers and their experiences. Erickson also presented a slideshow, explaining what the Peace Corps is, the application process, areas of service and the different skills they are looking for in their volunteers. Since Eastern’s involvement with the Peace Corps, 220 EWU alumni have served with the Peace Corps. There are currently 15 EWU alumni serving overseas. “They’ve made contributions everywhere. … They educate other parts of the world about Americans and represent America,” said Erickson. “They also bring back the knowledge of the country that they served in when they return … and educate Americans

more on a global perspective.” Different program volunteers are engaged working in the classrooms, implementing after school programs, networking with nonprofit organizations, helping develop nonprofit organizations, working with farmers and agricultural organizations, promoting wildlife protection and more. “Every Peace Corps experience is unique and it has its unique set of stories, so it’s a lot about sharing those personal stories and teaching Americans about some of the different cultures in which Peace Corps volunteers have lived in,” Peace Corps Public Affairs Specialist Melanie Forthun said. The Peace Corps was established in March 1, 1961 by former President John F. Kennedy in order to promote world peace and building relationships. Today, more than nine thousand volunteers are working with local communities in more than 70 countries. Peace Corps volunteers commit to a 27-month service. The legacy of the Peace

history of ewu in pictures

Photo courtesy of EWU Libraries, Archives and Special Collections Cross-country skiing on the west edge of campus about 1982.

Corps is celebrated a variety of ways, according to Forthun. Most events that occur throughout the U.S. involve returning Peace Corps volunteers holding panel discussions about where volunteers share their various experiences from different countries and showing films about the Peace Corps. “There’s so many different challenges that Peace Corps volunteers overcome and getting through that experience and having fun with that—having fun with another culture and becoming a community member in a foreign land—it’s such a growing experience,” Erickson said. Erickson has been with the Peace Corps since her initial service in 2007. Erickson combined her Peace Corps service with getting her master’s degree. A program called Master’s International enables an individual to attend graduate school first and then to participate in their practicum, which is the actual Peace Corps service. “I really got to apply the knowledge I had learned in nonprofit management directly working with non-

Elections:

continued from front page Voting stations will be placed in the PUB and the resident halls. Students will have the chance to vote online as well. “We have polling locations open at 7:30 a.m on the day of both the general and the primary,” Milton said. “Students have until about 10 a.m [to vote].” According to Ocaña, an opinion article from The Easterner was published regarding the agenda of what the leader wants instead of what students want. This inspired him to create an agenda which is geared towards students instead of the president. ASEWU Vice President Clem Bustamante was an academic affairs council representative in the ASEWU last year and faced new challenges as vice president this year. “The most challenging thing about being vice president this year was the fact that I underestimated the workload,” Bustamante said. “I oversee the nine council members. If one of them can’t do something, I have to do it.” According to Bustamante, the top three executives

profit organizations,” said Erickson. “It was very directly related to getting my degree.” According to Erickson, Peace Corps has a potential to impact to change someone’s career. “It’s a great way to launch an international career,” said Forthun. “There’s a lot of career benefits with serving in the Peace Corps. You are able to really take leadership on a lot of different projects … and just being able to get that hands-on international experience is a huge benefit. I think probably the biggest benefit is the network of return volunteers that you can access,” said Forthun. “Being able to tap into that network for jobs or anything is really helpful.” Forthun volunteered for the Peace Corps before becoming a permanent staff member. She said, “I wouldn’t work for an organization if I didn’t believe in it or really support it. … Peace Corps is wonderful because I really see it as a way to help other people have the same powerful experience that I had as a volunteer.” were much more independent last year than they were this year. All three made major decisions together this year so that if one was gone, one of the other two could fill in. “It’s more efficient, Bustamante said. “For example ... if someone comes [with a question] and one of us is gone, we’re able to fill in.” According to Milton, the biography for each candidate will be available to read before the primary election. Many of the council positions will be vacant because of students that are graduating this year and there will be plenty of room for new members in the ASEWU. Bustamante had advice for students who plan to run for positions in ASEWU. “Don’t be intimidated by the election process,” Bustamante said. “I’ve talked to hundreds of people who said they wouldn’t run for a position because they have to campaign. I think that’s completely ridiculous just because the experience you’ll get here in ASEWU is unmatched any other job you can have on campus [by] the connections you’ll make, the people you’ll meet [and] the resources you’ll have available.”

IN BRIEF:

Photo by Dylan Paulus The Spokane Center at 705 W. 1st Ave. is just a couple blocks from the Spokane Transit Authority hub and has been for sale since the mid 2000s.

EWU downtown Spokane Center sale in progress By Kristie Hsin senior reporter

khhsin@gmail.com

EWU’s board of trustees is negotiating the sale of the Spokane Higher Education Center to USA Real Estate Fund 1, Inc. Proceeds from this purchase will go toward the previous construction at the Riverpoint campus.

University Vice President for Business and Finance Mary Voves is in charge of negotiating and completing the contract with USA Real Estate Fund 1, Inc., a Securities and Exchange Commission Regulation D section 506 Security composed of six separate funds. As of now, nothing has been finalized.

Power outages zap Cheney

By Trevor Parsus staff writer

trevparus@gmail.com

Due to the outage last fall, the city began to look at the relays and began tests on them. Members of Cheney’s light department were testing their relays at their substation; relays protect the system from major faults. According to Joe Nolan, city light director, major faults are outages that are large scale, encompassing large portions of the city. It was during this testing on Feb. 27, when the light department switched all the electricity to one substation. Nolan said that the one substation was holding fine until approximately 3 p.m. when the power went out for no apparent reason. Restoring the city’s power took about 25 to 30 minutes. However, for Eastern it took approximately 80 minutes for full restoration. This

was due to the high volume of power that the school requires to operate. Nolan said the light department is hoping to get an exact reason as to why the power went out to prevent future outages. It may be due to faulty pieces of equipment or that the settings are not calibrated correctly. “We’re hopeful that within the next month or two to have a clear idea of what the actual problem is and how to fix it,” Nolan said. The entire town was affected and the outage was not specific to any particular area. “Every customer that we have was out of power,” Nolan said. According to Nolan, the number of power outages that have occurred this year is not normal. “For this magnitude, it’s more than normal. … It’s unusual to have these magnitudes back to back,” Nolan said.

Library extends March hours The JFK Library will extend their hours for winter quarter as a pilot program. The hours will be Mondays through Thursdays from 7:30 a.m. to 12 a.m. until March 22. Saturday, March 18, the library will open at 10 a.m. and close at 12 a.m.

Auto Detailer Wanted Person needed to detail 3 vehicles on a part-time basis. All equipment and supplies furnished on site. Please reply, with fee proposal, to: 1314 S. Grand Blvd., Suite 2 #329 Spokane, WA 99202

Student programmers get paid! Students wanted with experience in writing iOS (iPhone & iPad) objective C programs who want work writing small chunks of applications. Some experience is required and applicants must have their own development hardware. We provide a software functional spec, you bid the work and get paid on delivery. A great way to get SW dev experience. Send mail to coders@idearockets. com


page

EAGLE LIFE

4

eagle life

• march 7, 2012

Students stayed 'Up ‘til Dawn' St. Jude Children’s Research Hospital gets donations by letters By Nicole Livingston staff writer

nicolejanelivingston@gmail. com

Photo by Mikayla Napier Students address letters to friends and family to raise money.

Brightly colored streamers and balloons, positive music and smiling faces greeted students as they flocked to the PUB MPR to send donation letters to friends and family for St. Jude Children’s Research Hospital. As students filed in they were given pre-written letters and envelopes to address to whomever they chose to ask for donations for the hospital. Five letters earned students a T-shirt, 10 entered them into a raffle for a gift card or gift basket, 20 letters entered them for a chance to win a pass to Schweitzer Mountain and

35 entered them for a $200 gift card. The event lasted from 2 p.m. until 8 p.m. and featured live student musicians as well as a disc jockey. A multitude of activities were available such as a photo booth, a card and macaroni jewelry station, a basketball and a beanbag toss and a ping pong ball toss. The object of the ping pong ball toss was to get three out of four ping pong balls into a plastic cup with water in order to win a goldfish. Russell Jones, the organizer of the event, said that when the event was put on in the past it had not worked so well. According to Jones, St. Jude actually lost money

when the event was held at EWU last year. This year was a second chance to get it right. The committee, mainly comprised of Greek Life members and Residence Hall Association members, received training in order to organize the event in an effective way. Jones was able to visit the hospital and he said that is what really got his passion going for the event. “The thing that really tugged at my heart was there’s these kids, the younger ones are given these red wagons to put things that are important to them and what they think will make them get better [in].” Jones said. “You’ll see like, teddy bears and you’ll see their favorite toy … ‘that’s going to help

me get better.’” Samantha Harwood, a student and member of the committee, said this event is important because it raises awareness and that people should know how important donations are to the hospital. “Most people don’t understand that it’s entirely based on donations. It’s a non-profit organization and I think more people really do need to see that,” Harwood said.

To learn more about St. Jude Research Hospital, visit stjude. org. For more information on Up 'til Dawn, visit stjude. org/utd.

For the love of music: Students team up, release their first EP By Christina Jordan contributing writer

seajay91@gmail.com

What does a combination of gospel, blues, jazz, progressive rock and metal sound like? Ask EWU student Joel Gorman, who is the guitarist in the band Seconds Apart. This band just came out with their first extended playlist in February. “Our lyricist comes from a church/gospel background. I come from a blues and jazz background. Our bassist comes from a progressive rock background and our drummer did a lot of heavy metal. So that is why we’re O.D.D, which is the title of one of our tracks,” Gorman said. “I have been playing classical guitar for 11 years. I learned to play by ear initially, but I read music now that I’m in college and am a music major,” Gorman said. A couple of his favorite bands include the Roots and Red Hot Chili Peppers.

The band has officially been together since January 2012. The four members of the band are Mic Montgomery, the vocalist and lyricist, Jeremy Wales, who plays bass, Corey King, the drummer, and Gorman on the guitar. “I met Mic at an EWU Open Mic Night and we started our own project together. I met Jeremy and Corey in the music department,” Gorman said. After the two met, they did a dual performance for the next Open Mic Night with Montgomery reading poetry while Gorman accompanied him on guitar. All the members were individual musicians, but all of them supported Montgomery at an audition for Shades of Black, a show that is held at many different universities. Shades of Black was the first performance that the band did together. The band did the audition with a man named Kwapi, who has encouraged them along the way.

“Kwapi has been a very influential man in our progress so far," Gorman said. "He accepted our audition, which motivated us to stay together as a band. Before this audition, we were four independent musicians who were just helping Mic to show off his talent. Kwapi kind of acts as an agent; we get along really well." As a band, they just released their first piece of work. The finished product is called an extended playlist, not a CD. The reason for this is that CDs usually have songs that are centered around one theme, but an EP has more random material. “Our EP is called ‘The Hotboxxx Recordings.’ The reason for this name is that we recorded the songs in my teeny little bedroom that has no padding on the wall. It’s sorta to imply how ghetto the place of recording is,” Gorman said with a smile on his face. “My favorite song on our EP is called ‘O.D.D.’ It’s a little weird sounding, but it

is high energy and very attention grabbing. It’s about our cohesive mentality. We are all from a very different background.” In the long run, the band will try to stay independent for as long as possible. “This is because record labels make you change your music. We have the ability to record, because we have all the resources necessary to be completely independent,” Gorman said. The band’s next performance will be May 5 at another Shades of Black event. “I see myself as a performer. I want to do as much as I can in the future, so I hope to stay with the band as well as perform in other arenas. I’m a performance major, so I want to be a part of a music ensemble,” Gorman said. “A funny part of our story is that for the EP, we didn’t have our drummer yet, so our lyricist was our drummer and he went by ‘Hezekiah Jenkins’ as his alibi,” Gorman said.

Photo courtesy of Joel Gorman Seconds Apart's EP is available at secondsapart.bandcamp.com.

The band has a lot of fun together, doing what they love to do. Eagle Entertainment is planning to put on a special Open Mic Night for EWU bands, and Seconds Apart hopes to be a part of this event.

“We’re in this for the love of music. You should do something you love. We’re professional musicians, but it doesn’t feel like we’re working because it’s something we absolutely love doing,” Gorman said.

Don’t squeeze into someone else’s genes, be comfortable in your own Counseling and Psychological Services promotes healthy body image through Mind and Body Fair By Nicole Livingston staff writer

nicolejanelivingston@gmail. com

Traced outlines of different body shapes lined a wall of room 261 in the PUB like life-sized paper dolls. Yarn, buttons, candy wrappers and positive sentences such as “I love my hips” acted as decorations. Sounds of positive music such as Bruno Mars’ “Just the Way You Are” played in the background. Snacks in-

SERVICES: General Dentistry Orthodontics

cluding vegetables and ranch dressing for the health conscious and brownies for the indulgent were available for consumption. As part of the Student Workshop Series, Counseling And Psychological Services (CAPS) facilitated the Mind and Body Fair: Celebrating Everybody and EVERY Body. Art projects, free chair massages and eating disorder screenings were available activities for students. Amanda Dreyer, a staff psychologist at CAPS, spoke

Invisalign Oral Surgery Implants

about positive and negative body images, eating disorders and tips for concerned family and friends about speaking to loved ones who may be affected by eating disorders. As a supplement to her presentation, Dreyer showed a video of what a model goes through in preparation for a photo shoot. The video showed the model getting her makeup and hair done in a time lapse and the photos that were taken of her. After the photos were tak-

Botox™ Cosmetic Juvéderm™ Rodan + Fields Skincare

($300 value) with exam, cleaning & x-rays.

Collins Family Dentistry Cheney Spokane

235-8451 487-9000

1841 1st St. 15 E. Central

good too. … You don’t want to become too focused on that number because there’s so much more involved in a healthy body than a number on a scale,” Dreyer said. When it comes to body image, Emma Murillo, a student, wants people to understand that everybody is different. “Everybody is different in their own way and everybody does have their own body image and they just need to be comfortable with it,” said Murillo. 

For more information on eating disorders, body image and tips on creating a healthy and positive body image visit: http:// bit.ly/wEXeQy

MAKE A DIFFERENCE IN THE LIVES OF HIGH SCHOOL STUDENTS

FREE Teeth Whitening DrCollinsDDS.com

en, the video showed all the editing the photos go through before they go into the advertisement. The model’s eyes and lips were enlarged and her neck was extended and made thinner. The point of the video was to show that even models do not look the way they are portrayed. Dreyer emphasized that having a healthy body involves more than weight. “Throw away your scale. Throw it away. Don’t even ask questions. Hit it with a hammer. That might feel

Product: collins.myrandf.com

Come join the TRiO Upward Bound team working with high school students during the residential summer academy at Big Bend Community College, Moses Lake, WA from June 24-August 11, 2012. (Must be available for the entire term of the summer program.) Available positions are (1) Residence Hall Director for $3,960 (Bachelor’s degree & supervisory experience desired), (1) Residence Hall Coordinator for $3,520 (requires three years of college) and (7) Resident Advisors for $3,010 (requires 2 years of college after high school). Room & Board and insurance provided. Call (509)793-2008 or e-mail: hroffice@bigbend.edu ; www.bigbend.edu . Equal opportunity employer.


page

5

eagle life

• march 7, 2012

Does your major relate to your own future career plans? By Davis Hill staff writer

davis.hill@gmail.com

College is often seen as a place where students can acquire training that can be taken with them to the workforce. However, some think that life skills should be emphasized over vocational proficiency. The Easterner asked several Eastern students about their views regarding undergraduate majors and career plans. Sam Adams senior

Major: Biology

The Easterner: Should students plan to work professionally in the area in which they are majoring? Sam Adams: The problem with that is that people go to college not knowing what they want to do. Whether or not somebody has a career choice in their major is affected by whether or not they have their future planned out when they select their major. If they do [get a job], it probably won’t be [in] the first major they choose. TE: What is your situation? SA: I’ve switched my major three times: education, prenursing, now biology. It’s kind of just a path that led me to where I am today. I had no idea what I wanted to do. … I fell in love with science and the health sciences and decided to go pre-med biology. Pre-med is really in the field of biology, so it’s a good choice. TE: What is the function of an undergraduate degree? SA: For most people, the hope for an undergraduate degree is to be a stepping stone for deciding or solidifying a future. In the old days, … if your father was a blacksmith, you were a blacksmith. Now, our future isn’t decided for us. My undergraduate degree is a stepping stone to graduate school.

People should be inspired to get a job in what they’re doing and that’s hopefully what they like since they spent four years learning about it.

TE: What is your situation?

MM: It’s a means to an end. I don’t plan to do economics, if I do it at all, for the rest of my life. I plan on retiring. It’s something [where] ... I had to choose, and I just needed to pick something. It’s a vocational decision. TE: What is the function of an undergraduate degree?

TE: What is the function of an undergraduate degree?

MM: It kind of varies from person to person. For some people, it’s … doing something that they really enjoy and learning more about it. For me, my degree is to … hopefully get a better job than another person [who] doesn’t have that knowledge.

DM: Once you find out what you’d like to do, it gives you training to be able to do it more efficiently and to do it better. Another big purpose of an undergrad degree is to provide the "papers". Many professions, like mine, depend on it.

Matt Michelotti

Arielle Holmes

junior

senior

Major: Music Education

Major: Psychology

The Easterner: Should students plan to work professionally in the area in which they are majoring?

The Easterner: Should students plan to work professionally in the area in which they are majoring?

Matt Michelotti: Well, yeah. If you don’t major in it, but you work at what you’re good at, that’s OK too. But if you spend a whole bunch of time getting a degree in something, you might as well apply what you learned to to the rest of your life.

Arielle Holmes: Ideally, students should have a plan for their future that if it doesn't lead directly to their chosen job, at least correlates with their major. They don't have to have everything planned, but a good idea of the types of things they're interested in and would like to do is important to have. Having a plan saves money and time and starts you out in your job earlier than those who don't.

TE: What is your situation? MM: I’m hopefully becoming a choir teacher. I’ll hopefully eventually move up to college [teaching], but go from high school to college. TE: What is the function of an undergraduate degree? MM: It’s to open up more doors so it looks better on your résumé. If you have a desire for learning you learn more about the stuff you’re interested in. I don’t think you should be taking classes in college about stuff that you’re not interested in. Daniel Markin junior

Mike Michelotti

your job once you start doing it...

DM: My major is exercise science, pre-physical therapy. I’m planning to get into the doctorate program [at Eastern] after I get my bachelor’s. I’m currently a tutor at the ASC. It’s not directly applicable to my job, but I plan to work in a physical therapy clinic or fitness center after graduation.

TE: What is your situation?

Major: Exercise Science

TE: What is your situation? AH: I'm [a] psychology major with an English minor and an art minor. I had the idea for psychology, but I also have a great love for art, just no idea of where I wanted to go with it. I found out about art therapy and combining my two loves and jumped right in. I'm on my way to a master's degree in art therapy. TE: What is the function of an undergraduate degree?

junior

Major: Economics and Business

The Easterner: Should students plan to work professionally in the area in which they are majoring? Mike Michelotti: For people who are actually doing something that interests them, it’s definitely ideal.

The Easterner: Should students plan to work professionally in the area in which they are majoring? Daniel Martin: Why else would you get a major? Just for kicks? If you receive extensive training, it makes sense to work in the field. However, when there’s not a lot of jobs, or you just hate

AH: For me it is a step in obtaining my goals, as well as helping in my less professional goals of writing and art. A bachelor’s lends credulity and hopefully will help an otherwise young and inexperienced student jump out into the job world. I feel it opens horizons, both in the job market and in life.

EWU stUdEnts

ski, surf, tube & eat * all for just $39. EVERY FRIdAY OnLY At sILVER. silvermt.com 866.344.2675 55 minutes east of downtown Spokane on I-90 *$10 food and beverage voucher.

EAGLE LIFE

Photo by Casey Picha President Arévalo, far left, Deborah Wilds, center, and Maria Reyna, far right, with a group of students who receive scholarships from the College Success Foundation.

Weaving threads can lead to future success By Desireé Hood staff writer

d.hood28@gmail.com

A roomful of women and a handful of men met in the Hargreaves Reading Room to listen to Dr. Deborah Wilds discuss the powers of mentoring at the second annual “Weaving the Threads: An Evening of Women’s Empowerment” event on March 1. The purpose and theme of the event began as a result of a conversation among oncampus women. They held the inaugural event in the spring of 2011. According to Vandana Asthana, a member of the organizing committee, the committee received enough positive feedback due to an Easterner report on the event that said “Weaving the Threads” taught students of all ages about the importance of networking and having a mentor. This feedback allowed them to make

“Weaving the Threads” an annual event. Women of all ages, from a seventh-grade student to elderly community members, gathered in a diverse population of people including EWU faculty, students and mentors from the cities of Spokane and Cheney. They had an opportunity to have dinner and network with each other. The women and men in attendance heard Wilds discuss effective mentoring, why it is important, the different functions that mentoring takes in one’s life, the importance of relationship building and how to build those relationships. “I believe that mentoring … is a real key to success. I believe my life really exemplifies that,” said Wilds. “I also believe that mentoring … is really one of the things that God puts all of us here to do, and that is really to serve and support others. When you think about what

mentoring is, it is serving and supporting others.” Dr. Wilds has been affected by mentors since the age of 14. Throughout her life, people have mentored her and affected her career. Wilds is now giving back and mentoring others. She has mentored dozens of people and knows that paying it forward is an important part of her life now. “Never forget that you have to both seek the support, but you also have to pay it forward,” Wilds said. Wilds is the Chief Operating Officer of the College Success Foundation (CFS). She also serves as the Deputy Director of the American Council on Education’s Office of Minorities in Higher Education in Washington D.C. Wilds is a published author and has a Ph.D. in Education Policy, Planning and Administration from the University of Maryland THREADS-PAGE 6

Music professor to take unique style to American Composers Orchestra competition next month By Jane Martin contributing writer

janeun1t@gmail.com

It began with his friend's field recording of an Egyptian wedding procession, taken from the window of an apartment in Cairo. Ben Robertson, who graduated from EWU with his master's degree in music last year, said it was this recording that inspired the beginnings of "Forged in Smokeless Flame," the orchestral piece he is entering in a competition put on by the American Composer's Orchestra (ACO) this April. Robertson said that when his friend, Ian Ackerman, sent him this field recording along with a box of

CDs, he was completely captivated by it. While at first the procession had been playing very western band music, Robertson said that at a certain point, "the atmosphere completely changed from brass [instruments] to framed drums and zurnas," which had a much more indigenous sound. "I was really attracted to this piece and wanted to pay tribute to it," said Robertson. He described the sound as primarily non-harmonic and very different from anything in the western world. Part of what appealed to him, he said, was that "it's folk music not intended for the upper class; it's the people's music. It evokes things

that conservatory music cannot do ... or refuses to do." With the help of a computer program, Robertson was able to isolate specific tones from this recording and found a way to reproduce them by altering the tuning on western instruments and further altering them with another computer program. This process is a complicated one, Robertson explained, because western instruments are not designed to produce as wide a range of tones as are used in eastern music and there are many tones that can barely be distinguished from each other when listening closely. Eventually, he Composer- Page 6

Summary of Functions: Female driver/chauffer for 120-inch five-door Town Car limousine. Qualifications: At least 21 years of age. Experienced and responsible driver, preferably with prior experience driving 120-inch vehicle, with clean driving record. Background check to be performed. Participate in random drug testing program. Complete an approved chauffeur-training course. Medical certificate certifying fitness to be a chauffeur. Certificates, Licenses: Must have valid Washington State driver's license and be eligible for automobile insurance and For-Hire Vehicle Operator License. Three-year driving abstract must be provided. Please send resumes to: 1314 South Grand Blvd. Suite 2 #329 Spokane, WA 99202


page

6

march

7, 2012

Composer: continued from page 5

succeeded in writing a piece of music that used the entirety of EWU's orchestra and incorporated computer instruments for the first on-stage performance of "Forged in Smokeless Flame" last June. Robertson has a passion for employing unconventional techniques and says he is aware that many people may not be open to what he is bringing to the orchestral music scene. "I believe that art should be made by people because they want to, without a need

for validation," said Robertson. He added that if he is creating something that everyone likes, he is "probably doing something wrong." Dr. Jonathan Middleton, professor of theory and composition at EWU, has worked extensively with Robertson over the past couple of years and currently co-teaches an experimental instrument design class with Robertson. Dr. Middleton spoke highly of Robertson's abilities. "[Robertson] will be coming [to the competition] with innovation and a tremendous amount of experience," he said. Middle-

ton added that Robertson's music "takes you inside the sound," and allows the listener to experience all the nuances of individual tones in a piece. The competition, "CoLABoratory: Playing it UNsafe," offers new composers the opportunity to develop and perform their music, and encourages technological innovation in the pieces submitted by competitors. According to Robertson, the ACO “provides a stipend as well as transportation and lodging in New York to those who are accepted,” which will greatly assist in the process of improving his work.

Photo by Casey Picha Attendees at “Weaving the Threads” meet and greet, putting their new networking skills in action.

Golf:

continued from page 12

said that they take every opportunity they have to play outside to work on swings. According to Lee, however, getting better at one’s golf game goes beyond just hitting golf balls. “We work a lot on core stability, balance and coordination,” Lee said. “Endurance [is important]. We’re out on the course anywhere from four hours to 10 hours.” Carbon added, “There’s a lot of mental focus,” she said. “Whenever I practice, I always try and treat it like it’s an actual round.” Brenda Howe is in her third year as the Eagle’s women's golf coach. She said that, due to the weather, it can be difficult to practice outdoors, which is what is most beneficial. In order to combat the lack of outdoor practice, Howe has scheduled seven events. Typically,

Address: The Easterner EWU, Isle Hall 102 Cheney, WA 99004 Writers’ Meetings: The Easterner is open for any EWU student or faculty who wish to write or copy edit news stories. • Writers’ meetings are Mondays at 3:30 p.m. • Copy editing meetings are Saturdays at 8 a.m. News Line: If you have a tip, letter to the editor, press release or an idea for a story please call The Easterner tip line at 509-359-6270 or the general office line at 509-359-4318.

the team only plays four to five events. “I figure since we're limited at home in regards to practice, we can at least be getting valuable playing experience in some rather early tournaments,” Howe said. “Hopefully, this will pay off in April for our conference tournament.” The golf team recently played in the Folino Invitational at Industry Hill, Calif., where the squad finished 11th out of 12 total teams. The Folino Invitational was the team's first event in the 2012 spring season. “We definitely have some cobwebs from the winter months, but … we're getting some valuable playing time down south while Cheney is under snow,” Howe said. Howe agrees that consistency is key in turning in a competitive score. According to Howe, the team has had a lot of rounds where they beat conference foes, but they sometimes struggle to stay on

About your paper: All content in The Easterner is either produced or chosen by EWU students. Our goal is to provide relevant information to the students, faculty, staff and residents of the communities surrounding EWU. Circulation: The Easterner publishes a weekly print version as well as web content during the week at http://sites.ewu. edu/easterneronline.

track. She said that those higher scores are what keep the team from being competitive. “On any given day, I can have two and a half players show up to play, while the other one and half turn in an 85,” Howe said. “It seems as though when you get your number three and four players playing well, the number on and two are struggling, and vise-versa.” Despite some struggles early in the spring season, Howe is confident in her golfers. She believes the team can meet their goal of lowering the team average. “For the first time in my three years, I think they are starting to look more and more at the team score rather than being so wrapped up in their individual performance,” Howe said. “They're starting to see that we're right there, but we just have some hindering performances that we really need to eliminate.”

your business call the Advertising Department at 509-359-7010.

Advertising: If you would like to place an ad or classified ad, call 509-359-7010, FAX 509359-4319 or send an email to advertising@theeasterner.info.

Advertising:

sports editor

staff writers

advertising manager

Al Stover

Joseph Schilter Joseph.Schilter@gmail.com 509-359-7010

Easterner.Sports@gmail.com

Kyle Franko Josh Friesen Fedor Gaponenko Linsey Garrison Davis Hill Desireé Hood Nicole Livingston Frank McNeilly Trevor Parus

eagle life editor

Editorial:

Azaria Podplesky

editor-in-chief

Easterner.EagleLife@gmail.com

Amy Meyer

509-359-6270

Easterner.Editor@gmail.com

509-359-6737

continued from page 5

at College Park. “We need mentors both professionally and personally. If you see someone you want to mentor you in a particular area, take the initiative,” Wilds said. “Develop a network. I think that’s one of the things that, regardless of your ethnic background, your gender, whatever, you need a network of diverse people to mentor you.” When Wilds started in higher education, she could easily count the number of colleges with female presidents. But now, according to The American Council on Education, 23 percent of college presidents are women, which is a marked improvement over 1986’s 10 percent. “There is still a challenge for women and people of color moving into top rungs of leadership. We have seen a lot of progress and that’s why having support systems … are very important to help break the glass ceiling,” said Wilds. “We have seen a lot of progress in the last 25 years, and so I think that is also true in terms of women’s leadership in general in the corporate sector as well as in education.” Kaleb Hoffer, a sopho-

Cuic: continued from page 10

Purchasing: The first copy of The Easterner is free. Aditional copies may be purchased at Isle Hall 102 during staff hours.

The Easterner is distributed throughout the Cheney campus and business district as well as Riverpoint and various Spokane businesses. If you would like The Easterner to be distributed at

509-359-4317

Threads:

“I have to really make sure he does a really good job of competing. He’s one of our best competitors on the team as long as he keeps [his emotions] under control. He’s really tough to beat.” In the past, Cuic let emotions get the best of him. According to Haworth, in his first practice match with the team, Cuic broke his racket. He ended up having to do a lot of sprints for that. “Over the last year and a half it has improved to where he’s learning to play within himself,” Haworth said. “He’s focusing the aggression into becoming a harder worker in practice and better competitor in matches.” Cuic attributes his aggression to his passion for tennis. “If you look at the history of Croatian tennis players, you will find that a lot of guys get really emotional about the game,” Cuic said. “Sometimes I can get rude with my lan-

more in finance, was one of the few men to walk through the door. “It may be a women’s empowerment event, but it is also about networking and so there is definitely tips to be taken from it,” said Hoffer. “So where I am not a woman, I still do network. Networking is a thing for men and women.” The event took place with the help of a large organizing committee, volunteer workers from the sorority Lambda Theta Alpha, the ASEWU and many different offices on campus. Carmen PerezFrayne said, “This is a truly collaborative event.” Dr. Rodolfo Arévalo, president of EWU, was pleased with the growth from last year and hopes to see continued growth in the future. Women that attended will hopefully learn that mentoring will open up doors to success. Arévalo said he hopes women “are going to become more assertive in terms of creating avenues for them to be even more successful. It’s one thing to get a degree, the other is how you use it and how you integrate yourself into the broader society once you get out of school.” Krista Benson, a career service employee, discussed how networking can either

be a good opportunity to be around like minded people or it can be the scariest thing in the world. “The easiest way to make networking and building relationships easy is to be interesting and to be interested in others,” Benson said. Wilds and the CSF announced that a new scholarship called the “Washington Opportunity Scholarship” will be awarded to three students in the upcoming school year. Students qualify if they are going into the STEM fields (Science, Technology, Engineering and Math) or the health care fields. Students who qualify are encouraged to go to the CSF website for more information. Networking takes interest, time and work, but Wilds hopes that women will take the time to find a mentor or become one. “Remember that relationships require cultivation, and really when you think about cultivation, it’s really like weaving those threads together, really building that relationship,” said Wilds. “And once you have those threads … woven together, you really have the fabric of support. That is the fabric out of which good strong relationships grow and ultimately last an entire lifetime.”

guage, but it’s all in the passion of the game.” Koetje said that he does not feel that Cuic’s aggression gets in the way of them being partners. “I think in singles he’s a little bit more emotional,” Koetje said. “In doubles you have someone out there with you to share the ups and downs. We don’t really get too emotional; we focus on the job at hand.” Although Cuic is from Croatia and English is his second language, he does not feel like it was ever an obstacle for him. “In Croatia they teach us to speak English from fourth grade,” Cuic said. “I was decent at English. Also in Croatia we translate movies, so you have subtitles, but the people are still speaking, ... so I would learn English through movies and cartoons.” Coach Haworth said that his team is full of international flavor, and the guys often help each other pronounce words. “When he first got here [his English] was pretty good,” Koetje said. “It has gotten a lot better. He can have a noninterrupted conversation just

fine. [The team] always makes fun of him because he mixes up his Ws and Vs instead, of volley, he’ll say, ‘wolley.’ We kind of haze him a little bit about that, but he doesn’t mind.” Koetje and Cuic have a rare relationship because they are not only partners in doubles, but also roommates and close friends. Over Thanksgiving Cuic visited Koetje’s family in Seattle. Cuic said that he felt really accepted by them and that it was really nice of them to have him over since he could not go home. “It’s great on the court. We really trust each other,” Koetje said. “We have good chemistry together and we just work hard and try to get better together.” According to Koetje, Cuic made him do the dance “I never even heard the song,” Koetje said. “It was some sort of Brazilian song and dance he wanted to do that together.” “He’s kind of like a kid,” Koetje said. “He always wants to have fun with everything he does. He makes everything just a little more exciting.”

bodies to have some time to heal.” According to Fenton, the team has not lost since they began playing on Roos Field. Although playing on the Eastern football field is smaller than a regulation rugby field, Fenton believes it gives them an advantage over playing other teams. “Home field … is crucial. It’s kind of intimidating coming in here, playing on the red turf,” Fenton said. Rannow attended 7s tour-

nament with Moffett when Moffett’s mother passed away. He remembered how Moffett was upset and how he was still there for the team. "It meant so much," Rannow said. "We’re not just a team. We all choose to be together, we’re not on scholarship. Moffett’s mom is [as] much a part of our family as he is. When he scores trys, it’s emotional for him. Everybody is playing for that patch."

opinion editor

Derek Brown

photographers

managing editor

Easterner.Opinion@gmail.com

Christopher Stuck Easterner.ME@gmail.com 509-359-4318

photo editor

Mikayla Napier Casey Picha Evan Sykes

Aaron Malmoe Easterner.Photo@gmail.com

graphics assistant

Evan Sykes

online editor

Grant Stancliff Easterner.Online @gmail.com

Doug Ault DougAult@gmail.com

chief copy editor

graphics editor

Kurt Olson

Ben Britz

easterner.copy@gmail.com

Easterner.Graphics@gmail.com

news editor

senior reporter

Dylan Coil Easterner.news@gmail.com 509-359-6270

Kristie Hsin

multimedia editor copy desk

Colleen Bowerman Cheyenne Dunham Mollie Gower Nicole Ruse distributor

Daniel Eik

Rugby:

continued from page 12

the ball and run it." Oregon State, sitting atop the league standings at 4-0, is coming off a 59 point drubbing of Idaho on March 3. Meanwhile, Eastern 1-1-1, has not played since Feb. 11. “These past [few] weeks off have been pretty nice for our bodies,” Moffett said. “A lot of us were hurting and it’s been a lot better for our

staff adviser cartoonist

Allen Duffy

Jamie Tobias Neely

Place a classified ad with us! Call The Easterner’s advertising department at 359-7010 for more information.


page

OPINION

7

opinion

• march 7, 2012

Medical amnesty policies save lives event, choosing to allow Starkey to sleep off the alcohol. He never woke up. There are many similar anecdotes at institutions of higher learning across the nation. People are allowing others to die out of fear of disciplinary action from their colleges or police. This can be prevented. Many universities now have medical amnesty policies. Harvard, Yale, the University of Florida and Cal Poly, among others, have instituted policies wherein disciplinary immunity is extended to people who call for help in situations involving possible alcohol poisoning. There are three main versions of medical amnesty:

easterner.opinion@gmail.com

On December 2, 2008, Carson Starkey, a freshman architectural engineering major at California Polytechnic State University, San Luis Obispo, died of alcohol poisoning. The night before, Starkey attended a fraternity rush event where he was encouraged to drink large quantities of alcohol. He later became unresponsive and fraternity members put him in a car to drive him to a hospital. Along the way, they decided against going through with the plan to take him to the hospital out of fear of trouble for themselves and the fraternity. They returned to the

nesty policy is that such policy only serves to perpetuate, even encourage, underage drinking and drug use. Critics say that the increase in medical attention given to those involved in alcohol-related emergencies is due to a higher rate of those in need of such attention, rather than due to a simple increase in willingness to seek medical attention. Even if this were true, saving even a single person's life is worth it, and an effective alcohol education introduction that not only increases awareness of the policy, but also of the dangers of alcohol can increase the effectiveness of the policy while decreasing potential abuse.

"It is more important to save someone's life than to discipline someone for misbehavior; policy should reflect this." Individual amnesty, wherein amnesty is extended to a person seeking medical assistance for themselves after engaging in illegal action; caller amnesty or "Good Samaritan" amnesty, extending to those who call for another person; and organizational amnesty, which protects an organization engaged in the illegal act contributing to the medical emergency. Many of these policies extend to cover situations that

involve drugs or sexual assault. In a 2006 study, Cornell University reported that students who failed to call for help out of fear of disciplinary action dropped from 3.8 percent to 1.5 percent, while students seen for psycho-educational intervention after an alcohol-related emergency rose from 22 percent to 55 percent. One counterargument to instituting a medical am-

Through the Eagle’s Eye

It is more important to save someone's life than to discipline someone for misbehavior; policy should reflect this. Currently, EWU has no official medical amnesty policy in place, but one has been proposed. According to the ASEWU minutes from Feb. 3, Karen Wanjico, EWU Violence Prevention Advocate, and Becca Harrell, the ASEWU Student Health and Safety Services representative, are working on the proposal and looking for student testimony of incidents in which students did not call for help in alcohol-related incidents. We think that the policy should be made official.

Interviews by Desireé Hood, photos by Aaron Malmoe

“What are your plans for Spring Break?”

"I am going to go to

“My dad is going to take

California for 10 days

me to Yellowstone. We

with my friends. Just

are going to take a road

for vacation."

trip.”

Faisal Altwairqi

Ryan Hartwell

“I am going to go home to Yakima and get ready for the outdoor track season."

“Absolutely nothing. I

“I am going home to the west side to hang

am going to a dentist

out with my family and

appointment at eight in

work.”

the morning.”

Graham Vaux

Keli Cresta

Elizabeth Morrison

Green Dot Spot Limbaugh's apology cannot excuse his comparison of contraception to prostitution By Karen Wanjico

ewu violence prevention advocate

kwanjico@ewu.edu

By Cheyenne Dunham copy editor

easterner.copy@gmail.com

What’s in an apology? Radio host Rush Limbaugh thought this small gesture could sweep his recent slander and inconsideration of G e o rg e t o w n Dunham student Sandra Fluke under the rug. By saying, “I’m sorry,” he would have all of his supporters and advertisers rushing back without a second thought. That’s how the real world works right? This seemed to be the mindset of Limbaugh after he titled Fluke as a “slut” and “prostitute” after her appeal to Congress for the govern-

ment to cover contraception costs. “Well, what would you call someone who wants us to pay for her to have sex? What would you call that woman? You’d call ‘em a slut, a prostitute or whatever,” ranted Limbaugh. A significant amount of Limbaugh’s supporters found these comments to have crossed the line that he all too often rides with his radio talk show. Nine of Limbaugh’s advertisers withdrew from the show while other fans continued to call in and encourage the host not to back down. With a weak apology to Fluke and the network, Limbaugh hoped to ease the tension. However, this is a hole that may have been dug a bit too deep for Limbaugh to jump right out of. The concept of contraception being compared to prostitution is ludicrous.

Fluke was fighting for congressional approval from a medical standpoint. She presented it as something not only used for birth control but for a broad range of women’s health benefits. Limbaugh, with his narrow-minded comments, made it clear that the medication couldn’t possibly be anything more than a free ticket for sexual promiscuity. Those companies still in support of Limbaugh’s show are in the hot seat as people are being called to question the ethical soundness of staying behind a show or an individual that fosters such ideals. Not only could Limbaugh suffer in this case, but businesses could face a significant loss. This is not surprising, considering how attempts are being made to downplay the host’s verbal attacks by shining a spotlight on what

our government should really be paying for. It is slowly turning into a bonafide blame game. When politics takes hold in situations like this, the true conflicts become skewed. Pointing fingers becomes the mode of operation as opposed to problem solving. Soon everyone is doing everything they can to cover their backs. Limbaugh makes his apology to appease the angry masses, companies withdraw support to avoid losing business and soon it is just another Republican versus Democrat debate topic. So, in retrospectively looking at this snowball effect that has all but buried the initial fight for paid-for contraception, I hope we can all agree that a simple apology will not suffice.

Letter to the editor

Ron Paul will keep promises if elected president We currently have a government that is limiting our liberties under the guise of safety and it is feeding off of the apathy and fear of the people. A few examples of this are TSA pat downs and the infamous Patriot Act. Have we forgotten what Thomas Jefferson said about this issue? “Those who sacrifice freedom for safety deserve neither.” Today our government is taking money from us and giving it to wealthy bankers who are responsible for the bad decisions that have led to the banks going under. Nearly every presidential candidate voted to do this. All in fact, except one, Ron Paul.

America is also in debt over $15 trillion dollars because of our long, drug-out wars in the Middle East and our military policing all over the world. We give weapons and money to dictators only to spend more money and American lives overthrowing them later. We cannot afford to keep doing this and continue immersing our nation in debt; otherwise, our money will soon lose any value as a world currency. Not to mention the chaos a collapsed economy would cause here at home. There has only been one candidate in this upcoming presidential

election that has promised to cut $1 trillion dollars from our debt his first year in office. He is the only candidate that has promised to repeal the Patriot Act. He is the only candidate that will remove socialist government regulations from individual issues such as religious practice, marriage, education and healthcare. He is the only candidate with a real plan for peace with other nations and a plan to make our nation prosperous once again. He is the only candidate I trust because he has a long and perfect record in Congress of doing what he says he will do. Dan White

The follow is an exact quote of a green dot submitted on EWU’s Green Dot Facebook page:” “my husband and I were at the club the other night and we saw a girl who had been x'd out of the club and there was a car full of guys lurking around her and making comments that were inappropriate and my husband said... “we are not leaving her" so we found a police officer and had him make sure that she was okay. . . that was my most recent green dot” What is nice about this is, the couple recognized a situation that could lead to violence and they did something to make sure it couldn’t go farther. Is one green dot enough to change the culture? No, but we are beginning to hear stories of people who are doing green dots in response to situations that catch their attention. One by one, people are adding a green dot to the map. None of these people, who have shared their stories of doing a green dot, set out to be the party police.

They were going about their business when a situation presented itself. They all had obstacles to overcome and they all chose to take action. Some of you may think, “I don’t want to get hurt. What if I am wrong?” Those are legitimate obstacles to overcome. Can you think of the scenario above? The couple was outnumbered, yet they found a way to stay safe and get help. They overcame their obstacle. Maybe you wouldn’t have chosen to call the police, but what could you have done? What response can you see you making? Whatever your obstacle is, can you figure out a way to safely do your green dot? If you have a minute, why don’t you find us on Facebook? Tell us your obstacle. Is it your reputation? Is it your shyness? Is it that you fear you’ll make a mistake and think it’s an emergency when it is not? Tell us about your obstacles, and share your ideas about overcoming them. Tell about times when you did a green dot. Ask your questions. The Facebook page is there so we can learn from one another. If you’d rather talk, call the advocate 509.359.6429.

Write us

We encourage the campus community to submit letters and opinion pieces that conform to the requirements listed below. Opinion articles and letters to the editor do not necessarily reflect the views and opinions of The Easterner, its staff members or Eastern Washington University. LETTERS TO THE

phone number and email address for

EDITOR

verification.

opinion editor

-We reserve the right not to publish let-

Derek Brown easterner.opinion@gmail.com Address:

ters; furthermore, all letters are subject to editing.

The Easterner, room 102

-Letters must be received no later than

EWU, Isle Hall

Monday at 10 a.m. in order to be con-

Cheney, WA 99004

sidered for publication the following

Requirements

Wednesday.

-Letter should be 300 words or less, and

-If your letter is in response to a specific

typed or hand-written legibly.

article, please list the title and date of

-Include your full name, signature, tele-

the article.


page

8

march

7, 2012

Police Beat Feb. 27

Harassment A student reported online harassment from another student. Both live in Pearce Hall. The incident has been referred to the OSRR.

Feb. 28

9:20 p.m. Drug violation Officers contacted a resident in Pearce Hall regarding a possible drug violation. A very small amount of marijuana was found in the student's room. The

comics By Allen Duffy

student has been referred to OSRR.

March 4

12:45 a.m. Drug violation A group of people were observed carrying a male student into Louise Anderson Hall. Officers were called to check on the welfare of the intoxicated student, during which he kept reaching for his pockets. Marijuana was found, and he was cited and released. He has been referred to OSRR and Cheney court.

5 NORTH

By Julka Lawrence

PO LIC EL IN ED ON OT CR OS S

If you have reported a crime and it is not listed above, please let us know.

http://bit.ly/zQmMNG

ENTERING WITH A RISK

LIN ED ON OT CR OS S

POLICE L INE DO N OT CROS S POLICE

By Chad BrownEagle

LINE DO NOT CRO SS


SPORTS Students make cage fighting debut page

9

sports

• march 7, 2012

MMA Event features 10-bouts

Eastern students who fought in King of Cheney

By Al Stover

Josh Strickland Caleb Sherman Alissa McCoy Brittany Hammond

sports editor

easterner.sports@gmail.com

Josh Strickland enters the cage and stands across from Steven Frank, as chants of “Sigma” come from Strickland’s fellow Sigma Phi Epsilon members in the crowd. Strickland was one of four Eastern students who competed at the King of Cheney 2 mixed martial arts [MMA] event, March 3. The event featured 10 bouts, with a main event for the heavyweight championship between Paul Torres and Mike Peterson. Torres was able to control the first round while Peterson got a second wind and controlled round two. In the third round, Torres was able to get the mount and finish Peterson with an armbar. Torres, who is now 6-0 in MMA, dedicated the fight to his friend Stephen Alfaro. “This time I had somebody to fight for,” Torres said. “I had something to keep alive and that was his name. That was the motivation of never giving up.” Prior to his fight with Frank, Strickland had doubled up on his training after finding out his original opponent had backed out of the fight. He has also learned how to avoid punches and control himself rather than reacting to what his opponent does. Strickland, who fought in the fifth match, started off swinging before locking Frank in a guillotine choke. After applying a second guillotine choke later in the round, Frank was able to escape. However, Strickland threw a punch that knocked Frank down to the mat. “I told myself I was going to come out with the left hook,” Strickland said. “He

had to open up, so I came out [and] landed. He shot in and I got double under-hooks. I could hear my corner saying ‘Get away, get away.’ I let him stand up, let him trade and I got him.” After Strickland won the match, he made the motion of ripping his shirt like Superman, as the Sigma Phi Epsilon members rushed to the cage. He was awarded a belt for getting the first knockout of the night. Strickland celebrated with his fraternity brothers, who cheered for him from the opening bell. “It was amazing,” Strickland said. “It’s been quiet for everybody, but then I went out there and it was loud. I can’t replace this feeling.” The other heavyweight match was between Curtis Flett and Brandon Moseley, a 2009 graduate from Cheney High School. Flett had only thrown a single punch before Moseley took him down and began peppering him with some punches of his own. After taking more punches and escaping an armbar, Flett was able to reverse and gain control on Moseley’s back where he proceeded to punch him until the referee stopped the fight. Prior to their fight, Flett had watched videos of Moseley's previous fights. “I worked on what he was horrible at,” Flett said. “He improved from his last fight so I was impressed with that.” Caleb Sherman, another Eastern student, fought against Charlie Shultz. Sherman had gotten bloody early

Photo by Aaron Malmoe Alissa McCoy versus Brittany Hammond was the seventh fight of the night. McCoy is majoring in business and Hammond is studying exercise science.

in the first round before losing by submission in round two. Despite the loss, Sherman would like to fight again. “I’d like to go until I win one, to see what that feels like,” Sherman said. The King of Cheney event also featured a women’s match between Eastern students Brittany Hammond and Alissa McCoy.

Hammond, who had a reach and height advantage over McCoy was able to trade shots with McCoy and keep her moving backwards. Although McCoy landed several body kicks in both the first and second round, Hammond was able to get the take down and choke out her opponent in round two. Hammond, who was also the ring girl for the first fight, had a training regimen

consisting of boxing, jiu-jitsu, and watching videos. She wants to fight again. McCoy had training in kickboxing, boxing and take-down defense with her cornerman Mack Zavala in preparation for her fight against Hammond. McCoy knew Hammond would try to take the fight to the ground. “Everyone told me she would go for the take-down,”

McCoy said. “I rocked her a couple of times and that felt good.” McCoy, whose red shorts had “Warrior” embossed on the side, also plans to fight in the future, despite the loss to Hammond. “I think I just [have to] work on my ground game,” McCoy said. “Definitely practice my submission defense. I’m going to keep fighting.”

Monterola on her way to national championships Pole vaulter breaks Big Sky record

Keisa Monterola pole vaulting marks

By Kyle Franko

EWU Candy Cane IV 13-11 1/4

staff writer

kyle.franko3@gmail.com

Eastern track star Keisa Monterola has won all seven meets she has competed in this year on her way to a Big Sky pole vaulting championship. Monterola, a junior transfer from Clackamas Community College, has rewritten not only EWU’s indoor pole vaulting records, but also the Big Sky Conference’s record. In the very first meet of the season, the Candy Cane IV Invitational, Monterola broke Eastern’s school record when she cleared 13 feet, 11 1/4 inches. The Big Sky conference named Monterola player of the week three times, most recently on Jan. 28 when she cleared 14-4 and qualified for the NCAA Championships in Boise, Idaho, March 9 and 10. In every competition Monterola has entered this season she was the favorite – the meet is hers for the taking. “I really try not to focus on that because I just will create more pressure on myself,” said Monterola. “And I usually do put a lot of pressure on myself to do well, because I know what people [are] expecting from me.” Head women’s coach Marcia Mecklenburg said dealing with expectations for Monterola is about forming habits. “[It’s] confidence and not doing anything different you hadn’t done before,” said Mecklenburg. “Stay consistent with what you’ve done with your warm-ups and with past meets. Just try and not do anything different." “No matter how good you are, there’s always just a little bit of pressure when you go in ranked number one. She handled it really

UW Preview 13-7 3/4 UW Team Invitational 14-4 Vandals/Runner Soul 13-5 1/4 UW Open 14-2 Vandal Collegiate 13-11 1/4 Big Sky Conference Indoor Championships 14-2

photo by Mikayla Napier Junior Keisa Monterola hopes not only win a national championship, but to also to qualify for the 2012 London Olympics.

well and she ended up winning, setting the meet’s record.” In the Big Sky conference championships, Monterola set the new meet record when she hit 142. But the one thing Monterola has not been able to reach this year is the Olympic B-standard of 14-5 and 1/4. In the conference championships she made a few cracks at the mark, however, with little competition – Monterola entered the meet with a mark of 16 and 1/2 inches ahead of second place – it was difficult to build the competitive fire.

“I was expecting to have some kind of competition but I didn’t,” said Monterola. “So it’s a little bit hard sometimes to motivate yourself to be more competitive and try to jump higher.” Competition will not be a problem in the NCAA Championships. Heading into Boise, senior Tina Sutej from the University of Arkansas is the favorite to win. In the SEC Championships the senior improved upon her own collegiate record in the pole vault with a clearance of 14-11. Sutej has won five consecutive SEC pole vault titles, and her indoor winning streak spans 12

meets dating back to the beginning of the 2011 season. Other automatic qualifiers include Morgann Leleux from the University of Georgia (14-4 1/2); Victoria von Eynatten from Virginia Tech (14-4); Tara Diebold from the University of Arkanas (14-4); and Katerina Stefanidi from Stanford (14-3 1/4). On Feb. 11, Monterola faced Stefanidi in the UW Husky Classic and beat her with a 14-2 mark, compared to Stefanidi’s 13-10. “She hasn’t lost this year,” said assistant coach Eric Allison. “If she wants to win next weekend she’ll have to jump higher than

she has so far. It’s going to be a battle for those [top] spots.” Up to this point the in the season Monterola has jumped with glass poles, but in the past two weeks she has been practicing with new carbon fiber poles that are lighter. “When I run with them it feels like I have nothing on my hands,” said Monterola. “It will be a lot easier for me to have more speed and carry into the jump [so] I can jump higher.” Allison does not know if Monterola will use the carbon poles at Nationals, but the characteristics of the new pole could provide the edge needed to qualify for the Olympic B standard and, more importantly, the national championship. “The return, the comeback [is] a little bit faster,” said Allison. “So the top end of the jump is a little bit faster which … will help her jump because she needs to speed that part up. We’ll find out next weekend how good she really is.”


page

SPORTS

10

sports

• march 7, 2012

Upcoming EWU Sports March 8

Tennis players breaking barriers By Josh Friesen staff writer

EWU Women's Basketball in Big Sky Conference playoffs EWU Men's Tennis vs. Oregon at 6 p.m.

March 9 EWU Track and Field in NCAA Division I Indoor Championships at Boise, Idaho at 10 a.m. * EWU Women's Tennis vs. Portland State at Portland, Ore. at 9 a.m. * EWU Men's Tennis vs. Washington at Seattle at 4 p.m.

March 10 EWU Track and Field in NCAA Division I Indoor Championships at Boise, Idaho at 10 a.m.

jdfreeze08@gmail.com

In his first year at EWU, Big Sky Player of the Week Chad Henninger was on the tennis team that won the Big Sky Conference. Now, as a senior, Henninger has his sights set on being on top of the conference once again, and he believes this year’s team has the talent to do so. “Conference … is the most important,” Henninger said. “All those other matches are great to win, but the only ones that really matter when it comes down to it is the conference matches.” Henninger was selected as Co-Player of the Week in the Big Sky after he recorded two big wins against Oregon and conference foe Portland State. He defeated Oregon’s Jose Izquierdo in singles play on Feb. 17. Henninger, whose hometown is Eugene, Ore. had never won a match against an Oregon opponent. “It was kind of my big break-through,” Henninger said. “It was fun to win a match against a team I’ve somewhat been a part of my whole life.” Then next day, the team traveled to Portland State, where Henninger defeated Alex Marx. He admitted to expecting a let down after registering his win at Oregon. According to Henninger, he managed to block that thinking from his mind. “I knew no matter what happened in the match, whether I was playing good or bad, I needed to fight the whole time until it was over,” Henninger said. The victory preserved Henninger’s perfect record against conference opponents. Henninger said that being recognized as Big Sky Player of the Week validates EWU’s tennis team as the team to beat in the conference. Teammate Ilija Cuic won the award the week after Henninger did. “It shows that we have three or four dominant players on this team to do well this year,” Henninger said.

Photo by Casey Picha Chad Henninger is currently 8-2 in singles competition.

Henninger is not known for just his prowess as a singles tennis player. He has shown his ability as an elite doubles player along with his partner, Julian Sanchez.

Cuic making his mark at EWU

* EWU Women's Tennis vs. Portland at Portland, Ore. at 2 p.m.

By Fedor Gaponenko staff writer

fgaponenko76@gmail.com

Ilija Cuic is 6-2 in singles and 4-3 in doubles with his partner Kyle Koetje.

Gonzaga’s team in doubles was dominated by a score of 8-to-3, but the show was not over until Ilija Cuic and his doubles partner Kyle Koetje did their victory dance. “Playing Gonzaga, we had a mindset of just getting the job done and having fun. We played really well and won pretty easily,” Koetje said. “Before the match [Cuic] was telling me he wanted to do a little dance if we won.” Koetje and Cuic play for EWU’s Men’s Tennis and make up Eastern’s number one doubles team. Cuic is an international student from Croatia and has had success as the number one player at Eastern for singles. After missing most of last season due to an NCAA violation, this year, Cuic has an overall record of 7-3 in singles play.

August, Knight sprained her ankle, putting her back on the sidelines for three weeks. As if Knight had not already been through enough, she tore her meniscus in November and went on to have surgery in December. All of these injuries set back Knight’s training to the point where she was not able to play tennis until the beginning of February. “Going through this twice says a lot about Kelsey,” Warner said. “She’s a fighter. She’s got the fire in the belly.” “It’s tough because I know she’s a big impact on the team,” Head Coach Mykala Hedberg

who spoke to Knight about a particular quote from Crazy Horse. The quote was “Hokahey” which means: Today is a good day to die; a quote Knight has taken to the court with her ever since. “Every time I step on the court I just think ‘Hokahey’,” Knight said. “I just have to give it everything I got and not worry about what could happen. Things have happened to me, and I have to realize that my body’s different now.” Being on the sidelines quite a bit, Knight watched her teammates extensively which

* EWU Men's Tennis vs. Seattle at Seattle at 7 p.m.

March 11 EWU Women's Tennis vs. Oregon at Eugene, Ore.

Knight: Continued from front page

Encountering the injury a second time, Knight felt that the emotional toll out-weighed the physical pain. “I knew what had happened,” Knight said. “I just started bawling. [I just thought] ‘I’m done, there’s no way I’m going to be able to play tennis again’.” Coming back from the second ACL tear has not been as smooth of a process as the first. Right after being released in

Sanchez, also a senior, believes that he and Henninger have learned a lot from each other. The pair has played together for two years and Henninger feels they have developed a relationship with each other regarding each others’ strengths and weaknesses. “We can compensate for each other a little bit,” Henninger said. While they have been doubles partners for two years, they have been on the team together for four years. According to Sanchez, having chemistry is key to being successful. “We have enough experience with each other to know when one of us is not all the way there,” Sanchez said. “We know each other pretty well.” Henninger added, “When we come on the court we know it’s business,” he said. “We try and motivate each other to do well, and we know if one person’s not having the best day in the world, … we’re good friends and can help each other.” Darren Haworth, coach of the men’s tennis team, feels that Henninger is a valuable asset to a team and he leads by getting it done on the court. “[Henninger] has been a staple of this program,” Haworth said. “He has won a lot of matches for Eastern. He’s really worked extremely hard over the last four years.” Haworth acknowledged that while his players have accomplished a lot so far this season, the remaining schedule will continue to get more difficult. “It’s going to continue to get harder from here on out,” Haworth said. “There’s a lot of tough competition.” Haworth said that the goals for the team are really simple. He wants the team to win the Big Sky Conference. Haworth believes, with this team, the goal is obtainable. “I think this is one of the best team’s we’ve had at Eastern,” Haworth said. “We’re capable of doing extremely well this season. It’s going to come down to how willing they are to working together as a team.”

Photo by Casey Picha

said. “I feel for her. She really wants to get back in and get back to her potential.” Knight credits her strong recovery process to athletic trainer Kacey Skriletz, who also encountered ACL injuries in her collegiate career. “She’s gotten me through so much,” Knight said. “I really couldn’t have done it without her. She’s like a big sister to me.” Returning from multiple injuries, Knight developed a fear of potentially getting injured again. Knight received a boost of confidence from sports psychologist Dr. Hammermeister,

According to Men’s Head Coach Darren Haworth, NCAA rules do not allow a player over 20-years-old to play in any outside tournaments. “He wasn’t quite aware of this rule since he was in Croatia,” Haworth said. “It’s a common rule for many international athletes to break.” As a 16-and-under player, Cuic ranked first in his native country of Croatia, but injuries derailed him from continuing to play professionally. “I just find that getting an education and playing here is better than grinding and trying to catch up with professionals,” Cuic said. Coach Haworth described Cuic as a “fiery competitor.” “When you get him out on the court, it’s like unleashing an animal,” Haworth said. “I have to really make sure he does a really

helped her develop a higher knowledge of the game and increase her leadership skills. Hedberg mentioned how vital Knight’s contributions have been to the newcomers this season. “It’s definitely a bonus when you have a girl that’s not only a good tennis player, but someone with a positive energy that kind of fluctuates and everyone can absorb it,” Hedberg said. Enduring this whole process, Knight has appreciated her return to the game and taken it as a blessing to be competing in the red and white

Cuic-page 6 once again. Knight plans to roll with the punches and make the most out of her come back season. “Every day I come to practice, I’m happy to be here,” Knight said. “I try and give 150% and be a role model to the younger girls. I have to do the best I can every day. Of course I want to win and have that season I did sophomore year, but I have to realize if I get it, that’s great, but if I don’t, I’ve come through a lot, so even being out here competing is already asking a lot of myself. Hopefully things work out in my favor.”


page

SPORTS

11

sports

• march 7, 2012

EWU Sports in Brief

Eastern prepares for Big Sky tournament Team to travel to Idaho for playoffs By Al Stover sports editor

easterner.sports@gmail.com

Colimon

Men's basketball bounced by Grizzlies — The Eastern men's basketball team ended their season after being defeated by the Montana Grizzlies in the semi-final round of the Big Sky Championship tournament, 74-66, March 6. Senior Cliff Colimon led the Eagles in scoring with 27 points and four assists. Ryan named MVP of Big Sky — Senior Brianne Ryan added another award to her Eastern career as she was named the 2012 Big Sky Conference Most Valuable Player. This is not the first honor Ryan has won as she was named the Big Sky Conference Defensive Player of the Year in 2010. Men's Tennis endures loss to Vandals, beats Warriors — The men's tennis team earned a victory over Lewis and Clark State, 4-3, March 2. However the Eagles, who had been riding a threegame winning streak, would be defeated by the Idaho Vandals, 6-1, March 3. Women's hockey avenges losses against Spokane — The Eastern women's hockey team wrapped its season with a win over the Spokane Women's hockey, 2-1, March 3. This would be the first time the Eagles have defeated Spokane, who had beaten them four times earlier in the season. Men's hockey ends regular season on a high note — The men's varsity hockey team finished their first year in the British Columbia Intercollegiate Hockey League by defeating Selkirk College, 4-2, March 3. The win puts them at fifth in the league standings. Golf improves at Red Rocks Invitational — The Eastern women's golf team finished 15th at the Red Rocks Invitational. The team scored a total of 673, four strikes better than they last played in the invitational in 2011. Leading the Eagles was freshman Caitlin Rice, who shot a 164, tieing for 55th.

The Eastern women’s basketball team is going to be entering as a No. 3 seed and will be facing the Sacramento Hornets at the 2012 Big Sky Conference championship tournament at Pocatello, Idaho, March 8. The women’s basketball team, who was picked to finish seventh in the Big Sky Conference preseason poll, has attained a Big Sky Conference record of 10-6, 16-13 overall. After losing their last four games, the team is focused on evaluating themselves and moving around more in the half-court offensively. “We just can’t be set stagnant,” Schuller said. “I felt that in the last three games we’ve been stagnant. We’ve stood and just waited for each other to make plays rather than moving together and really having that flow and that rhythm.” Another factor that Schuller thinks has hindered the team’s play is the set of onegame weeks that took place in the second and third week of February. “They hit us like a brick wall,” Schuller said. “We lost a lot of continuity that we had been playing with.”

According to Junior Carrie Ojeda who has scored 295 points this season, the team is working on knocking shots down. “I feel like as a team we can get any shot we want,” Ojeda said. “That’s really been our biggest problem. We’re a really good defensive team, but we just have to score.” Prior to Big Sky play, Eastern had lost to teams like Gonzaga, Brigham Young and Arizona State while earning wins against San Diego, Eastern Oregon and Oregon State. One aspect of the season Schuller did not expect was how well the team did on the road against other conference teams. “We beat some really good teams,” Schuller said. “That was something that was different for us. It gives us the confidence that we can beat anyone anywhere.” In regards the tournament, Schuller knows the team will have to be ready to face any team on the court. “We’ve seen everyone twice by that time,” Schuller said. “At the tournament it’s more about yourself than it is about who you’re playing.” Schuller also mentioned players like Ojeda who has progressed over the season and become future stars on the team. Although she is ready to take on the leadership role next season, Ojeda will miss the seniors who are leaving. “I’m glad I could have a

good year for them,” Ojeda said. “I’ve enjoyed all of the relationships I’ve built.” Senior Chene Cooper will be leaving the team. Although EWU is coming into the tournament as a No. 3 seed, Cooper believes Eastern has a chance to win the championship. “It really doesn’t matter what your record is,” Cooper said. “Once you get into [the tournament] everything is 0-0. You could go into it as the fifth seed and still win it.” Cooper has broken both the Career and Single-Game Steals record, and earned various Big Sky Conference Player of the Week awards throughout the season. However, what she enjoys the most are the memories she had with the team. “We’re just so close,” Cooper said. “We’re all going to stay in touch after [the] season.” Regardless of whether the women win the tournament, which would advance them to the NCAA Division I Women’s Basketball Championship tournament, Schuller believes that 2012 was a great season for the team. “We’ve had some ups and downs, but its a team whose chemistry has been really good,” Schuller said. “It’s been really nice for our seniors. They’ve really been willing [to] throw the team on their back at times and get us going. In my mind and hopefully the team’s mind it’s far from over.”

photo by Aaron Malmoe Chene Cooper was selected for the 2011-2012 All-Big Sky Second team.

Rugby gearing up for grudge match against Oregon State Eastern playing for pride and family By Kyle Franko and Al Stover for the easterner

Blistering winds and snow come down as the EWU rugby team runs, rolls and tackles each other on the frozen red turf of the football field. The team is getting prepared for their game against Oregon State, March 10. Jacob Moffett has been playing rugby for seven years. His mother passed away in August 2011 while Moffett was playing in a 7’s tournament. One thing Moffett remembers about his mother is how full of life she was. "She was the kind of person you gravitated to because she was her own person," Moffett said. "People always respected that about her. It’s one of the things I’ve missed the most is her charismatic character." After returning from dealing with his mother’s death, Moffett found himself within a system of support among his teammates. "They surprised me by telling me they were getting these patches [with her initials] and dedicating this season to my mom," Moffett said. The patches, a black football with the initials LDM (Lisa Diane Moffett) were ironed onto each club mem-

photo by Aaron Malmoe Men's rugby will be looking for redemption against Oregon State, who beat them in 2011.

ber’s jersey. Moffett is thankful to be a part of such a supportive team "Everyone has gone over what they should have done and made it such a nice transition," Moffett said. Shawn Fenton is in his second year on the team.

Fenton was the one who organized the creation of the patches through the company Zome Design. "[Moffett] is a good friend of ours," Fenton said. "Kind of the best thing I thought to do was as a team come together and support him. I

thought the cool thing to do would be to put the patches on the jersey." One change Moffett has noticed in this year’s team is the intensity of their play and their work ethic. An aspect of the game Moffett and the team are working on is getting their momentum going and keeping it going throughout the whole game. "We’ve always been known as a second-half team," Moffett said. "I want to get our momentum going earlier." Part of the process this season has been integrating some players into positions they had not played before. “I feel like in the last few games you can see from game to game we’ve really taken some big steps towards that,” Fenton said. “Oregon State … is going to be a good showcase for how we’ve come together.” In 2011, Oregon State defeated Eastern, keeping them out of the Sweet Sixteen in the DI-AA playoffs. "We really don’t like each other," Fenton said. "It’s going to be a blood bath." As stated by Brandon Rannow, rugby club president, playing Oregon State will be different as Oregon State teams plays pack heavy. "It’s a lot of big guys, a lot of ground and pound rugby," Rannow said. "That’s how we play, so we know it’s going to be a clash. It’s going to be whose [outside] backs can really get the ball and run it." Rugby-page 6

Women's golf team begins spring season, looking to finish strong Eagles playing for pride and family By Josh Friesen staff writer

jdfreeze08@gmail.com

Junior golfers Morgan Lee and Jayme Carbon are both making sure they improve on their golf game for the second half of this season. Golf’s spring season has begun, and the juniors are excited to take on the challenge. Lee, who made a swing

change last year, is working hard to lower her scoring average. Her change started in the summer of 2011, “I dropped four strokes [in the fall],” Lee said. “I’m kind of just trying to improve and work on my swing. Carbon is also making strides to better her game. She said her goal for this half of the season is not only to be more consistent with her rounds but her individual swings. Lee feels she can be more consistent as well. “We struggle a lot with

one or two scores being higher,” Lee said. “That kind of sets us apart from being competitive.” Carbon hopes that setting the goal to be more consistent will translate to a lower overall score. “I would shoot for three rounds in the 70s,” Carbon said. “I just want to try and finish in the top 20 [in the conference].” Lee said that practice, especially outside, is imperative to getting better. She Golf-page6

contributed by Jayme Carbon Morgan Lee shot a 79 in the first round of the Red Rocks Invitational.

Wed 3/07, Easterner Chiefs

DISCOUNT AVAILABLE WITH STUDENT ID

FRIDAY 3/9 vs. TRI-CITY AMERICANS

SATURDAY

BUCK NIGHT & CHEERSTIX GIVEAWAY

MILLER BREWING COMPANY ROAD TRIP GIVEAWAY

$1 hotdogs, Coca-Cola, and popcorn plus the first 5,000 fans receive a set of CheerStix.

Two lucky fans will win party bus trips for 10 to see the Chiefs play at Tri-City!

vs. KOOTENAY ICE

www.SPOKANECHIEFS.com

3/10

Game Time:

Sponsored By:

For Tickets Call 509.535.PUCK

Sponsored By:

7 PM


new, used or rental

new -- Purchase your new textbooks at the University Bookstore and you’ll be guaranteed the correct book. used -- save money and the environment by purchasing used books. rentals -- 70% of textbooks available for rent with up to 80% off the price of buying new. University Bookstore is working with BookRenter.com and MBS (national textbook sources) to provide you the best options available.

ebooks Less expensive than new books, portable and environmentally friendly. Free digital literary classics available at www.bookstore.ewu.edu

buy back Textbook Buy Back -- we pay the most cash for your books!

Main Campus Bookstore | March 12-23 -- Mon - Fri -- 8am - 4pm March 17 -- Sat -- 11am - 3pm Spokane Bookstore | March 19-23 -- Mon - Thurs -- 2pm - 6pm

509.359.2826 ewu.edu/bookstore


Issue 19  

The Easterner

Advertisement
Read more
Read more
Similar to
Popular now
Just for you